Subject: bug#64724: 30.0.50; Inconsistency between manual, comments in the code, and implementation of point adjustment

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Jul 2023 15:44:13 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Fri, 21 Jul 2023 12:14:55 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > That's because where to move point in these situations depends on
> > where it was before.  We could describe these details of the
> > heuristics we use, but I very much doubt it will be useful in
> > practice.  And the heuristics could change in the future, which makes
> > this a maintenance problem.
> 
> I think you misunderstood.
> I know that the logic how Emacs chooses which boundary to move to is not
> documented.
> 
> However, my problem is not with this logic. My problem is that info page
> says that point adjustment happens when point is _inside_ invisible
> region. However, in my situation the point is already at the boundary
> (that is: _not inside_).

Stefan explained that aspect, so I didn't see the point in reiterating
it.

> > So I tend to think this bug should be closed with no further action.
> > The main purpose of that node is to explain how to disable this point
> > adjustment, not describe in detail what it does and how.
> 
> Please remember that info page was just one of the points I listed in
> the initial report.

I must have missed them (even though I've skimmed the discussion again
now), so please point them out again.

(And please don't use the incorrect term "Info page".  Unlike "man
pages", the Info documentation doesn't come as a collection of "pages"
it comes in the form of complete manuals.)